Add Gate Rule

Reference for the POST /console/v1/gates/{id}/rule endpoint of the Statsig API.

posthttps://statsigapi.net/console/v1/gates/{id}/rule

Authorizations

STATSIG-API-KEYstringrequired

apiKey (header)

Path parameters

idstringrequired

id

Query parameters

includeArchiveMetadatastring

When "true", populate archivedAt / archivedBy* / archiveReason on the gate when it is currently archived. When omitted or "false", those fields are absent from the response.

Allowed values:truefalse

Body

application/json
namestringrequired

The name of this rule.

passPercentagenumberrequired

Of the users that meet the conditions of this rule, what percent should return true.

Constraints:format: doublemin: 0max: 100
conditionsobject[]required

An array of Condition objects.

Show child attributes
targetValueoneOf
Constraints:nullablestring[]number[]stringnumber
operatorstring
fieldstring
Constraints:nullable
customIDstring
Constraints:nullable
typestringrequired
Allowed values:app_versionbrowser_namebrowser_versioncountrycustom_fieldemailenvironment_tierfails_gatefails_segmentip_addresslocaleos_nameos_versionpasses_gatepasses_segmentpublictimeunit_iduser_iduser_agenturljavascriptdevice_modeltarget_appexperiment_group
environmentsstring[]

The environments this rule is enabled for.

Constraints:nullable
idstring

The Statsig ID of this rule.

baseIDstring

The base ID of this rule, i.e. without any added metadata. Will remain the exact same throughout

returnValueobject

The return value of the rule.

completedAutomatedRolloutsobject[]

Read-only: Automated rollout phases that have already completed.

Show child attributes
timenumber
passPercentnumberrequired
pendingAutomatedRolloutsobject[]

Read-only: Automated rollout phases that are scheduled but not yet complete.

Show child attributes
timenumber
passPercentnumberrequired

Response

application/json
200· Add Gate Rule Response
messagestringrequired

A simple string explaining the result of the operation.

dataobjectrequired
Show child attributes
idstringrequired

ID

namestring

The gate display name

Constraints:min length: 3max length: 100pattern: ^[a-zA-Z0-9_\-. ]*$
idTypestring
descriptionstringrequired
Constraints:max length: 1000
lastModifierIDstringrequired

ID of the last modifier.

Constraints:nullable
lastModifiedTimenumberrequired

Time of the last modification.

Constraints:format: doublenullable
lastModifierEmailstringrequired

Email of the last modifier.

Constraints:nullable
lastModifierNamestringrequired

Name of the last modifier.

Constraints:nullable
creatorIDstring
Constraints:nullable
createdTimenumberrequired

Timestamp when the entity was created.

Constraints:format: double
creatorNamestringrequired

Name of the creator.

Constraints:nullable
creatorEmailstring
Constraints:nullable
tagsstring[]
targetAppsoneOf
Constraints:stringstring[]
holdoutIDsstring[]

Holdouts applied to this configuration.

teamstring
Constraints:nullable
teamIDstring
Constraints:nullable
versionnumber

Version number

Constraints:format: double
checksPerHournumberrequired
Constraints:format: doublenullable
statusstringrequired
Allowed values:In ProgressLaunchedDisabledArchived
typestringrequired
Allowed values:TEMPORARYPERMANENTSTALETEMPLATE
typeReasonstringrequired
Allowed values:NONESTALE_PROBABLY_LAUNCHEDSTALE_PROBABLY_UNLAUNCHEDSTALE_PROBABLY_FORGOTTENSTALE_NO_RULESSTALE_PROBABLY_DEAD_CHECKSTALE_EMPTY_CHECKSSTALE_ALL_TRUESTALE_ALL_FALSE
ownerobject

Schema for owner data including ID, type, name. Note that if Entity is created by CONSOLE API, owner will be undefined.

Example:{"ownerID":"user123","ownerType":"USER","ownerName":"John Doe","ownerEmail":"owner123@test.com"}
Constraints:nullable
ownerIDstring

ID of the owner

Example:abc123
ownerTypestring

Type of the owner (e.g., SDK_KEY or USER)

Example:USER
ownerNamestring

The name of the owner. This field is optional.

Example:John Doe
ownerEmailstring

The email of the owner. This field is optional.

isTemplateboolean
store0100Exposuresboolean

Whether this gate stores 0/100 exposures for monitoring/analysis.

permalinkstringrequired

A permalink to this gate in the Statsig Console.

Constraints:format: uri
archivedAtnumber

Timestamp (ms) of the most recent archive event when the gate is currently archived; null otherwise. May be null for gates archived before audit logging existed.

Constraints:format: doublenullable
archivedByIDstring

ID of the user who archived this gate, when known and the gate is currently archived; null otherwise (e.g. automated archives have no user).

Constraints:nullable
archivedByNamestring

Name of the user who archived this gate, when known and the gate is currently archived; null otherwise.

Constraints:nullable
archivedByEmailstring

Email of the user who archived this gate, when known and the gate is currently archived; null otherwise.

Constraints:nullable
archiveReasonstring

Free-text reason supplied when the gate was most recently archived; null when the gate is not currently archived or no reason was given.

Constraints:nullable
isEnabledbooleanrequired
rulesobject[]required
namestringrequired

The name of this rule.

passPercentagenumberrequired

Of the users that meet the conditions of this rule, what percent should return true.

Constraints:min: 0max: 100
conditionsobject[]required

An array of Condition objects.

targetValueoneOf
Constraints:nullablestring[]number[]stringnumber
operatorstring
fieldstring
Constraints:nullable
customIDstring
Constraints:nullable
typestringrequired
Allowed values:app_versionbrowser_namebrowser_versioncountrycustom_fieldemailenvironment_tierfails_gatefails_segmentip_addresslocaleos_nameos_versionpasses_gatepasses_segmentpublictimeunit_iduser_iduser_agenturljavascriptdevice_modeltarget_appexperiment_group
environmentsstring[]

The environments this rule is enabled for.

Constraints:nullable
idstring

The Statsig ID of this rule.

baseIDstring

The base ID of this rule, i.e. without any added metadata. Will remain the exact same throughout

returnValueobject

The return value of the rule.

completedAutomatedRolloutsobject[]

Read-only: Automated rollout phases that have already completed.

timenumber
passPercentnumberrequired
pendingAutomatedRolloutsobject[]

Read-only: Automated rollout phases that are scheduled but not yet complete.

timenumber
passPercentnumberrequired
measureMetricLiftsboolean
monitoringMetricsobject[]
namestringrequired
typestringrequired
reviewSettingsobject
requiredReviewbooleanrequired
allowedReviewersobject[]
Constraints:nullable
idstringrequired
namestringrequired
emailstringrequired
releasePipelineIDstring
Constraints:nullable
activeReviewobject
reviewIDstringrequired
reviewStatusstringrequired
descriptionstringrequired

Was this helpful?